'use strict';

var _RFC = require('./RFC3966');

describe('RFC3966', function () {
	it('should work in edge cases', function () {
		expect(function () {
			return (0, _RFC.formatRFC3966)({ number: '123' });
		}).to.throw('expects country calling code');
		(0, _RFC.formatRFC3966)({}).should.equal('');
		(0, _RFC.formatRFC3966)({ number: '+78005553535' }).should.equal('tel:+78005553535');
		(0, _RFC.formatRFC3966)({ countryCallingCode: '123', number: '+78005553535' }).should.equal('tel:+78005553535');
	});
});
//# sourceMappingURL=RFC3966.test.js.map